# SimulatorFrame (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.micasa.simulator.client
Interface SimulatorFrame

All Superinterfaces:
  ControllerProvider

All Known Implementing Classes:
  SimpleFrame

    public interface SimulatorFrame

extends ControllerProvider

Contains the user interface for the Simulator client application.

Method Summary
`JFrame` `getFrame()` Returns a reference to the top-level frame that the simulator will use to display everything.
`void` `setController(Controller controller)` Sets the controller for the outermost scope.
`void` `setPanel(JPanel panel)` Sets the panel that makes up the entire client display.

Methods inherited from interface com.samskivert.swing.ControllerProvider
`getController`

Method Detail

### getFrame

    JFrame getFrame()

  Returns a reference to the top-level frame that the simulator will use to display everything.

### setPanel

    void setPanel(JPanel panel)

  Sets the panel that makes up the entire client display.

### setController

    void setController(Controller controller)

  Sets the controller for the outermost scope. This controller will handle all actions that aren't handled by controllers of higher scope.

Copyright © 2011. All Rights Reserved.